<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('general_infos', function (Blueprint $table) {
            $table->id();
            $table->text('terms_and_conditions_en')->nullable();
            $table->text('terms_and_conditions_ar')->nullable();
            $table->text('privacy_policy_en')->nullable();
            $table->text('privacy_policy_ar')->nullable();
            $table->text('about_us_en')->nullable();
            $table->text('about_us_ar')->nullable();
            $table->text('working_steps_en')->nullable();
            $table->text('working_steps_ar')->nullable();
            $table->text('features_en')->nullable();
            $table->text('features_ar')->nullable();
             $table->text('services_en')->nullable();
             $table->text('services_ar')->nullable(); 
             $table->string('contracts_counter')->nullable(); 
             $table->string('support_time')->nullable(); 
             $table->string('experience_years')->nullable(); 
             $table->string('happy_clients')->nullable(); 
             $table->string('success_partners')->nullable(); 
             $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('general_infos');
    }
};
